Subject: Re: [Bug-vc-dwim] bug#31368: vc-chlog reports "test: Illegal number" errors

From: Karl Berry <[email-masked]>
Date: Fri, 22 Nov 2019 15:49:42 -0700

Back on this mail from 2018, let me just mention that I ran into a
stream of errors similar to Bruno's ("test: Illegal number ..."). Which
shouldn't say "illegal", but that's a different matter :).

    jm> I can make vc-chlog misbehave that way by configuring and
    building vc-dwim tools with an exuberant ctags binary first in
    search path, but (say later) running vc-chlog with a different ctags
    (e.g., from emacs) earlier in the search path.

In my case it was the other way around, but whatever.

    I suspect we could get away with an even less expensive check:
    inspect the output of ctags --version. 

I fully agree. I see no overriding reason why vc-chlog cannot check what
it needs to check at runtime, and do nothing at configure time. Which
would be way more flexible and reliable.

However, I didn't go so far as to write that patch :(. --thanks, karl.